server {

    gzip            on;
    gzip_static     on;
    gzip_types      text/plain text/css application/json application/javascript text/xml application/xml application/xml+rss text/javascript;
    gzip_proxied    no-cache no-store private expired auth;
    gzip_min_length 1000;

    listen 80;

    root   /usr/share/nginx/html/browser;

    location ~ /index.html {
        add_header Cache-Control 'no-store, no-cache, must-revalidate, proxy-revalidate, max-age=0';
    }

    location ~ .*\.css$|.*\.js$ {
        add_header Cache-Control 'max-age=31449600';
    }

    location / {
        index  index.html index.htm;
        try_files $uri $uri/ /index.html;
    }

}
